# `@rehooks/online-status`

> React hook for subscribing to `online`/`offline` events and the `navigator.onLine` property to see current status

> **Note:** This is using the new [React Hooks API Proposal](https://reactjs.org/docs/hooks-intro.html)
> which is subject to change until React 16.7 final.
>
> You'll need to install `react`, `react-dom`, etc at `^16.7.0-alpha.0`

## Install

```sh
yarn add @rehooks/online-status
```

## Usage

```js
import useOnlineStatus from '@rehooks/online-status';

function MyComponent() {
  let onlineStatus = useOnlineStatus();
  return (
    <div>
      <h1>You are {onlineStatus ? "Online" : "Offline"}</h1>
    </div>
  );
}
```
